<html>
<head>
<title>OGRE: OgreRenderTarget.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreRenderTarget.h File Reference</h1><code>#include &quot;<a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreString_8h-source.html">OgreString.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreTextureManager_8h-source.html">OgreTextureManager.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreViewport_8h-source.html">OgreViewport.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreTimer_8h-source.html">OgreTimer.h</a>&quot;</code><br>

<p>
<a href="OgreRenderTarget_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html">Ogre::RenderTarget</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A 'canvas' which can receive the results of a rendering operation.  <a href="classOgre_1_1RenderTarget.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RenderTarget_1_1FrameStats.html">Ogre::RenderTarget::FrameStats</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget_1_1Impl.html">Ogre::RenderTarget::Impl</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a> specific interface for a <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a>; this should be subclassed by RenderSystems.  <a href="classOgre_1_1RenderTarget_1_1Impl.html#_details">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreRenderTarget_8h.html#f5bb0dae52b827634ede1f5aa3cb5638">OGRE_NUM_RENDERTARGET_GROUPS</a>&nbsp;&nbsp;&nbsp;10</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreRenderTarget_8h.html#fe22b8a3b08c5c1dfb03425997a043bc">OGRE_DEFAULT_RT_GROUP</a>&nbsp;&nbsp;&nbsp;4</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreRenderTarget_8h.html#867dc8bc833f9fff548c50dede22555d">OGRE_REND_TO_TEX_RT_GROUP</a>&nbsp;&nbsp;&nbsp;2</td></tr>

</table>
<hr><h2>Define Documentation</h2>
<a class="anchor" name="fe22b8a3b08c5c1dfb03425997a043bc"></a><!-- doxytag: member="OgreRenderTarget.h::OGRE_DEFAULT_RT_GROUP" ref="fe22b8a3b08c5c1dfb03425997a043bc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_DEFAULT_RT_GROUP&nbsp;&nbsp;&nbsp;4          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderTarget_8h-source.html#l00042">42</a> of file <a class="el" href="OgreRenderTarget_8h-source.html">OgreRenderTarget.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f5bb0dae52b827634ede1f5aa3cb5638"></a><!-- doxytag: member="OgreRenderTarget.h::OGRE_NUM_RENDERTARGET_GROUPS" ref="f5bb0dae52b827634ede1f5aa3cb5638" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_NUM_RENDERTARGET_GROUPS&nbsp;&nbsp;&nbsp;10          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderTarget_8h-source.html#l00041">41</a> of file <a class="el" href="OgreRenderTarget_8h-source.html">OgreRenderTarget.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="867dc8bc833f9fff548c50dede22555d"></a><!-- doxytag: member="OgreRenderTarget.h::OGRE_REND_TO_TEX_RT_GROUP" ref="867dc8bc833f9fff548c50dede22555d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_REND_TO_TEX_RT_GROUP&nbsp;&nbsp;&nbsp;2          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderTarget_8h-source.html#l00043">43</a> of file <a class="el" href="OgreRenderTarget_8h-source.html">OgreRenderTarget.h</a>.</p>

</div>
</div><p>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:58 2008
</p>
</body>
</html>
